<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::playlistParser::test::IterativePlaylistParserTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser.html">playlistParser</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1playlist_parser_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test.html">IterativePlaylistParserTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::playlistParser::test::IterativePlaylistParserTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::playlistParser::test::IterativePlaylistParserTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test_inherit__map" id="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::playlistParser::test::IterativePlaylistParserTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test_coll__map" id="alexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:aa33c06d006f528550272264d84a3ed3b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test.html#aa33c06d006f528550272264d84a3ed3b">SetUp</a> ()</td></tr>
<tr class="memdesc:aa33c06d006f528550272264d84a3ed3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configure test instance.  <a href="#aa33c06d006f528550272264d84a3ed3b">More...</a><br /></td></tr>
<tr class="separator:aa33c06d006f528550272264d84a3ed3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65310c6e1bc76a37bd311f6e3f0090f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test.html#a65310c6e1bc76a37bd311f6e3f0090f7">testPlaylist</a> (const std::string &amp;url, const std::vector&lt; std::string &gt; &amp;playlistUrls, const std::vector&lt; std::chrono::milliseconds &gt; &amp;durations)</td></tr>
<tr class="memdesc:a65310c6e1bc76a37bd311f6e3f0090f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks that a url is correctly parsed.  <a href="#a65310c6e1bc76a37bd311f6e3f0090f7">More...</a><br /></td></tr>
<tr class="separator:a65310c6e1bc76a37bd311f6e3f0090f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29f0c551526ffca9de9b2c4ca4165af5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test.html#a29f0c551526ffca9de9b2c4ca4165af5">testPlaylist</a> (const std::string &amp;url, const std::vector&lt; std::string &gt; &amp;playlistUrls)</td></tr>
<tr class="memdesc:a29f0c551526ffca9de9b2c4ca4165af5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks that a url is correctly parsed but ignore durations.  <a href="#a29f0c551526ffca9de9b2c4ca4165af5">More...</a><br /></td></tr>
<tr class="separator:a29f0c551526ffca9de9b2c4ca4165af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa725fa9b408465df77e085c197b3c69d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_factory.html">MockContentFetcherFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test.html#aa725fa9b408465df77e085c197b3c69d">m_mockFactory</a></td></tr>
<tr class="memdesc:aa725fa9b408465df77e085c197b3c69d"><td class="mdescLeft">&#160;</td><td class="mdescRight">A mock factory to create mock content fetchers.  <a href="#aa725fa9b408465df77e085c197b3c69d">More...</a><br /></td></tr>
<tr class="separator:aa725fa9b408465df77e085c197b3c69d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ecb99b63fc2598e2b6d6310b24f686e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html">IterativePlaylistParser</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_iterative_playlist_parser_test.html#a7ecb99b63fc2598e2b6d6310b24f686e">m_parser</a></td></tr>
<tr class="memdesc:a7ecb99b63fc2598e2b6d6310b24f686e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html">IterativePlaylistParser</a></code>.  <a href="#a7ecb99b63fc2598e2b6d6310b24f686e">More...</a><br /></td></tr>
<tr class="separator:a7ecb99b63fc2598e2b6d6310b24f686e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa33c06d006f528550272264d84a3ed3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa33c06d006f528550272264d84a3ed3b">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::playlistParser::test::IterativePlaylistParserTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Configure test instance. </p>

</div>
</div>
<a id="a65310c6e1bc76a37bd311f6e3f0090f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65310c6e1bc76a37bd311f6e3f0090f7">&#9670;&nbsp;</a></span>testPlaylist() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::playlistParser::test::IterativePlaylistParserTest::testPlaylist </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>playlistUrls</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::chrono::milliseconds &gt; &amp;&#160;</td>
          <td class="paramname"><em>durations</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks that a url is correctly parsed. </p>

</div>
</div>
<a id="a29f0c551526ffca9de9b2c4ca4165af5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29f0c551526ffca9de9b2c4ca4165af5">&#9670;&nbsp;</a></span>testPlaylist() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::playlistParser::test::IterativePlaylistParserTest::testPlaylist </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>playlistUrls</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks that a url is correctly parsed but ignore durations. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa725fa9b408465df77e085c197b3c69d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa725fa9b408465df77e085c197b3c69d">&#9670;&nbsp;</a></span>m_mockFactory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1test_1_1_mock_content_fetcher_factory.html">MockContentFetcherFactory</a>&gt; alexaClientSDK::playlistParser::test::IterativePlaylistParserTest::m_mockFactory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A mock factory to create mock content fetchers. </p>

</div>
</div>
<a id="a7ecb99b63fc2598e2b6d6310b24f686e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ecb99b63fc2598e2b6d6310b24f686e">&#9670;&nbsp;</a></span>m_parser</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html">IterativePlaylistParser</a>&gt; alexaClientSDK::playlistParser::test::IterativePlaylistParserTest::m_parser</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html">IterativePlaylistParser</a></code>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/PlaylistParser/test/<a class="el" href="_iterative_playlist_parser_test_8cpp.html">IterativePlaylistParserTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
